Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/ForceBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/ForceBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/ForceBase.cs	(revision 4068)
@@ -1,234 +1,193 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Layout.Force
-{
+namespace Netron.Diagramming.Core.Layout.Force {
+  /// <summary>
+  ///Abstract base class for force functions in a force simulation. This
+  ///skeletal version provides support for storing and retrieving float-valued
+  ///parameters of the force function. Subclasses should use the protected
+  ///field <code>parms</code> to store parameter values.
+  /// </summary>
+  public abstract class AbstractForce : IForce {
+    #region Fields
     /// <summary>
-    ///Abstract base class for force functions in a force simulation. This
-    ///skeletal version provides support for storing and retrieving float-valued
-    ///parameters of the force function. Subclasses should use the protected
-    ///field <code>parms</code> to store parameter values.
+    /// temporary paramters blobs
     /// </summary>
-    public abstract class AbstractForce : IForce
-    {
-        #region Fields
-        /// <summary>
-        /// temporary paramters blobs
-        /// </summary>
-        protected float[] parms;
-        /// <summary>
-        /// min values
-        /// </summary>
-        protected float[] minValues;
-        /// <summary>
-        /// max values
-        /// </summary>
-        protected float[] maxValues;
+    protected float[] parms;
+    /// <summary>
+    /// min values
+    /// </summary>
+    protected float[] minValues;
+    /// <summary>
+    /// max values
+    /// </summary>
+    protected float[] maxValues;
 
-        #endregion
+    #endregion
 
-        #region Properties
-        /// <summary>
-        ///Returns false.
-        /// </summary>
-        public virtual bool IsSpringForce
-        {
-            get
-            {
-                return false;
-            }
-        }
+    #region Properties
+    /// <summary>
+    ///Returns false.
+    /// </summary>
+    public virtual bool IsSpringForce {
+      get {
+        return false;
+      }
+    }
 
-        /// <summary>
-        /// Returns the number of parameters (e.g., gravitational constant or
-        /// spring force coefficient) affecting this force function.
-        /// </summary>
-        /// <value></value>
-        /// <returns>the number of parameters</returns>
-        public int ParameterCount
-        {
-            get
-            {
-                return (parms == null ? 0 : parms.Length);
-            }
-        }
+    /// <summary>
+    /// Returns the number of parameters (e.g., gravitational constant or
+    /// spring force coefficient) affecting this force function.
+    /// </summary>
+    /// <value></value>
+    /// <returns>the number of parameters</returns>
+    public int ParameterCount {
+      get {
+        return (parms == null ? 0 : parms.Length);
+      }
+    }
 
-        /// <summary>
-        ///Gets whether this is a force.
-        /// </summary>
-        public virtual bool IsItemForce
-        {
-            get
-            {
-                return false;
-            }
-        }
-        #endregion
+    /// <summary>
+    ///Gets whether this is a force.
+    /// </summary>
+    public virtual bool IsItemForce {
+      get {
+        return false;
+      }
+    }
+    #endregion
 
-        #region Methods
-        /// <summary>
-        /// Initialize this force function. This default implementation does nothing.
-        /// Subclasses should override this method with any needed initialization.
-        /// </summary>
-        /// <param name="fsim">the encompassing ForceSimulator</param>
-        public virtual void Init(ForceSimulator fsim)
-        {
-            // do nothing.
-        }
+    #region Methods
+    /// <summary>
+    /// Initialize this force function. This default implementation does nothing.
+    /// Subclasses should override this method with any needed initialization.
+    /// </summary>
+    /// <param name="fsim">the encompassing ForceSimulator</param>
+    public virtual void Init(ForceSimulator fsim) {
+      // do nothing.
+    }
 
-        /// <summary>
-        /// Gets the parameter names.
-        /// </summary>
-        /// <returns></returns>
-        protected abstract String[] ParameterNames { get;}
+    /// <summary>
+    /// Gets the parameter names.
+    /// </summary>
+    /// <returns></returns>
+    protected abstract String[] ParameterNames { get; }
 
 
-        /// <summary>
-        /// Returns the specified, numbered parameter.
-        /// </summary>
-        /// <param name="i">i the index of the parameter to return</param>
-        /// <returns>the parameter value</returns>
-        public float GetParameter(int i)
-        {
-            if (i < 0 || parms == null || i >= parms.Length)
-            {
-                throw new ArgumentOutOfRangeException();
-            }
-            else
-            {
-                return parms[i];
-            }
-        }
+    /// <summary>
+    /// Returns the specified, numbered parameter.
+    /// </summary>
+    /// <param name="i">i the index of the parameter to return</param>
+    /// <returns>the parameter value</returns>
+    public float GetParameter(int i) {
+      if (i < 0 || parms == null || i >= parms.Length) {
+        throw new ArgumentOutOfRangeException();
+      } else {
+        return parms[i];
+      }
+    }
 
-        /// <summary>
-        /// Gets the minimum value.
-        /// </summary>
-        /// <param name="i">The i.</param>
-        /// <returns></returns>
-        public float GetMinValue(int i)
-        {
-            if (i < 0 || parms == null || i >= parms.Length)
-            {
-                throw new ArgumentOutOfRangeException();
-            }
-            else
-            {
-                return minValues[i];
-            }
-        }
+    /// <summary>
+    /// Gets the minimum value.
+    /// </summary>
+    /// <param name="i">The i.</param>
+    /// <returns></returns>
+    public float GetMinValue(int i) {
+      if (i < 0 || parms == null || i >= parms.Length) {
+        throw new ArgumentOutOfRangeException();
+      } else {
+        return minValues[i];
+      }
+    }
 
-        /// <summary>
-        /// Gets the maximum value.
-        /// </summary>
-        /// <param name="i">The i.</param>
-        /// <returns></returns>
-        public float GetMaxValue(int i)
-        {
-            if (i < 0 || parms == null || i >= parms.Length)
-            {
-                throw new ArgumentOutOfRangeException();
-            }
-            else
-            {
-                return maxValues[i];
-            }
-        }
+    /// <summary>
+    /// Gets the maximum value.
+    /// </summary>
+    /// <param name="i">The i.</param>
+    /// <returns></returns>
+    public float GetMaxValue(int i) {
+      if (i < 0 || parms == null || i >= parms.Length) {
+        throw new ArgumentOutOfRangeException();
+      } else {
+        return maxValues[i];
+      }
+    }
 
-        /// <summary>
-        /// Gets the text name of the requested parameter.
-        /// </summary>
-        /// <param name="i">i the index of the parameter</param>
-        /// <returns>
-        /// a String containing the name of this parameter
-        /// </returns>
-        public String GetParameterName(int i)
-        {
-            String[] pnames = this.ParameterNames;
-            if (i < 0 || pnames == null || i >= pnames.Length)
-            {
-                throw new ArgumentOutOfRangeException();
-            }
-            else
-            {
-                return pnames[i];
-            }
-        }
+    /// <summary>
+    /// Gets the text name of the requested parameter.
+    /// </summary>
+    /// <param name="i">i the index of the parameter</param>
+    /// <returns>
+    /// a String containing the name of this parameter
+    /// </returns>
+    public String GetParameterName(int i) {
+      String[] pnames = this.ParameterNames;
+      if (i < 0 || pnames == null || i >= pnames.Length) {
+        throw new ArgumentOutOfRangeException();
+      } else {
+        return pnames[i];
+      }
+    }
 
-        /// <summary>
-        /// Sets the specified parameter value.
-        /// </summary>
-        /// <param name="i">the index of the parameter</param>
-        /// <param name="val">the new value of the parameter</param>
-        public void SetParameter(int i, float val)
-        {
-            if (i < 0 || parms == null || i >= parms.Length)
-            {
-                throw new ArgumentOutOfRangeException();
-            }
-            else
-            {
-                parms[i] = val;
-            }
-        }
+    /// <summary>
+    /// Sets the specified parameter value.
+    /// </summary>
+    /// <param name="i">the index of the parameter</param>
+    /// <param name="val">the new value of the parameter</param>
+    public void SetParameter(int i, float val) {
+      if (i < 0 || parms == null || i >= parms.Length) {
+        throw new ArgumentOutOfRangeException();
+      } else {
+        parms[i] = val;
+      }
+    }
 
 
-        /// <summary>
-        /// Set the suggested minimum value for a parameter. This value is not
-        /// strictly enforced, but is used by interface components that allow force
-        /// parameters to be varied.
-        /// </summary>
-        /// <param name="i">the parameter index</param>
-        /// <param name="val">the suggested minimum value to use</param>
-        public void SetMinValue(int i, float val)
-        {
-            if (i < 0 || parms == null || i >= parms.Length)
-            {
-                throw new ArgumentOutOfRangeException();
-            }
-            else
-            {
-                minValues[i] = val;
-            }
-        }
+    /// <summary>
+    /// Set the suggested minimum value for a parameter. This value is not
+    /// strictly enforced, but is used by interface components that allow force
+    /// parameters to be varied.
+    /// </summary>
+    /// <param name="i">the parameter index</param>
+    /// <param name="val">the suggested minimum value to use</param>
+    public void SetMinValue(int i, float val) {
+      if (i < 0 || parms == null || i >= parms.Length) {
+        throw new ArgumentOutOfRangeException();
+      } else {
+        minValues[i] = val;
+      }
+    }
 
-        /// <summary>
-        /// Set the suggested maximum value for a parameter. This value is not
-        /// strictly enforced, but is used by interface components that allow force
-        /// parameters to be varied.
-        /// </summary>
-        /// <param name="i">the parameter index</param>
-        /// <param name="val">the suggested maximum value to use</param>
-        public void SetMaxValue(int i, float val)
-        {
-            if (i < 0 || parms == null || i >= parms.Length)
-            {
-                throw new ArgumentOutOfRangeException();
-            }
-            else
-            {
-                maxValues[i] = val;
-            }
-        }
+    /// <summary>
+    /// Set the suggested maximum value for a parameter. This value is not
+    /// strictly enforced, but is used by interface components that allow force
+    /// parameters to be varied.
+    /// </summary>
+    /// <param name="i">the parameter index</param>
+    /// <param name="val">the suggested maximum value to use</param>
+    public void SetMaxValue(int i, float val) {
+      if (i < 0 || parms == null || i >= parms.Length) {
+        throw new ArgumentOutOfRangeException();
+      } else {
+        maxValues[i] = val;
+      }
+    }
 
-        /// <summary>
-        ///Returns the force acting on the given item.
-        /// </summary>
-        public virtual void GetForce(ForceItem item)
-        {
-            throw new NotImplementedException("This class does not support this operation");
-        }
+    /// <summary>
+    ///Returns the force acting on the given item.
+    /// </summary>
+    public virtual void GetForce(ForceItem item) {
+      throw new NotImplementedException("This class does not support this operation");
+    }
 
-        /// <summary>
-        /// Updates the force calculation on the given Spring. The ForceItems
-        /// attached to Spring will have their force values updated appropriately.
-        /// </summary>
-        /// <param name="spring">spring the Spring on which to compute updated forces</param>
-        public virtual void GetForce(Spring spring)
-        {
-            throw new NotImplementedException("This class does not support this operation");
-        }
-        #endregion
+    /// <summary>
+    /// Updates the force calculation on the given Spring. The ForceItems
+    /// attached to Spring will have their force values updated appropriately.
+    /// </summary>
+    /// <param name="spring">spring the Spring on which to compute updated forces</param>
+    public virtual void GetForce(Spring spring) {
+      throw new NotImplementedException("This class does not support this operation");
+    }
+    #endregion
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/ForceItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/ForceItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/ForceItem.cs	(revision 4068)
@@ -1,175 +1,161 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Layout.Force
-{
+namespace Netron.Diagramming.Core.Layout.Force {
+  /// <summary>
+  /// Represents a point particle in a force simulation, maintaining values for
+  /// mass, forces, velocity, and position.
+  /// </summary>
+  public class ForceItem : ICloneable {
+    #region Fields
     /// <summary>
-    /// Represents a point particle in a force simulation, maintaining values for
-    /// mass, forces, velocity, and position.
+    /// Temporary variables for Runge-Kutta integration 
     /// </summary>
-    public class ForceItem : ICloneable
-    {
-        #region Fields
-        /// <summary>
-        /// Temporary variables for Runge-Kutta integration 
-        /// </summary>
-        private float[,] l;
-        /// <summary>
-        /// The mass value of this ForceItem. 
-        /// </summary>
-        private float mass;
-        /// <summary> The values of the forces acting on this ForceItem. 
-        /// </summary>
-        private float[] force;
-        /// <summary>
-        /// The velocity values of this ForceItem. 
-        /// </summary>
-        private float[] velocity;
-        /// <summary> 
-        /// The location values of this ForceItem. 
-        /// </summary>
-        private float[] location;
-        /// <summary> 
-        /// The previous location values of this ForceItem.
-        /// /// </summary>
-        private float[] plocation;
-        /// <summary> 
-        /// Temporary variables for Runge-Kutta integration
-        /// /// </summary>
-        private float[,] k;
-        #endregion
+    private float[,] l;
+    /// <summary>
+    /// The mass value of this ForceItem. 
+    /// </summary>
+    private float mass;
+    /// <summary> The values of the forces acting on this ForceItem. 
+    /// </summary>
+    private float[] force;
+    /// <summary>
+    /// The velocity values of this ForceItem. 
+    /// </summary>
+    private float[] velocity;
+    /// <summary> 
+    /// The location values of this ForceItem. 
+    /// </summary>
+    private float[] location;
+    /// <summary> 
+    /// The previous location values of this ForceItem.
+    /// /// </summary>
+    private float[] plocation;
+    /// <summary> 
+    /// Temporary variables for Runge-Kutta integration
+    /// /// </summary>
+    private float[,] k;
+    #endregion
 
-        #region Properties
-        /// <summary>
-        /// Gets or sets the temporary Runge-Kutta integration value.
-        /// </summary>
-        /// <value>The runge kutta temp1.</value>
-        public float[,] RungeKuttaTemp1
-        {
-            get { return k; }
-            set { k = value; }
-        }
+    #region Properties
+    /// <summary>
+    /// Gets or sets the temporary Runge-Kutta integration value.
+    /// </summary>
+    /// <value>The runge kutta temp1.</value>
+    public float[,] RungeKuttaTemp1 {
+      get { return k; }
+      set { k = value; }
+    }
 
 
-        /// <summary>
-        /// Gets or sets the temporary Runge-Kutta integration value.
-        /// </summary>
-        /// <value>The runge kutta temp2.</value>
-        public float[,] RungeKuttaTemp2
-        {
-            get { return l; }
-            set { l = value; }
-        }
-        /// <summary>
-        /// Gets or sets the mass.
-        /// </summary>
-        /// <value>The mass.</value>
-        public float Mass
-        {
-            get { return mass; }
-            set { mass = value; }
-        }
-        /// <summary>
-        /// Gets or sets the force.
-        /// </summary>
-        /// <value>The force.</value>
-        public float[] Force
-        {
-            get { return force; }
-            set { force = value; }
-        }
-        /// <summary>
-        /// Gets or sets the velocity.
-        /// </summary>
-        /// <value>The velocity.</value>
-        public float[] Velocity
-        {
-            get { return velocity; }
-            set { velocity = value; }
-        }
-        /// <summary>
-        /// Gets or sets the location.
-        /// </summary>
-        /// <value>The location.</value>
-        public float[] Location
-        {
-            get { return location; }
-            set { location = value; }
-        }
-        /// <summary>
-        /// Gets or sets the previous location.
-        /// </summary>
-        /// <value>The previous location.</value>
-        public float[] PreviousLocation
-        {
-            get { return plocation; }
-            set { plocation = value; }
-        }
+    /// <summary>
+    /// Gets or sets the temporary Runge-Kutta integration value.
+    /// </summary>
+    /// <value>The runge kutta temp2.</value>
+    public float[,] RungeKuttaTemp2 {
+      get { return l; }
+      set { l = value; }
+    }
+    /// <summary>
+    /// Gets or sets the mass.
+    /// </summary>
+    /// <value>The mass.</value>
+    public float Mass {
+      get { return mass; }
+      set { mass = value; }
+    }
+    /// <summary>
+    /// Gets or sets the force.
+    /// </summary>
+    /// <value>The force.</value>
+    public float[] Force {
+      get { return force; }
+      set { force = value; }
+    }
+    /// <summary>
+    /// Gets or sets the velocity.
+    /// </summary>
+    /// <value>The velocity.</value>
+    public float[] Velocity {
+      get { return velocity; }
+      set { velocity = value; }
+    }
+    /// <summary>
+    /// Gets or sets the location.
+    /// </summary>
+    /// <value>The location.</value>
+    public float[] Location {
+      get { return location; }
+      set { location = value; }
+    }
+    /// <summary>
+    /// Gets or sets the previous location.
+    /// </summary>
+    /// <value>The previous location.</value>
+    public float[] PreviousLocation {
+      get { return plocation; }
+      set { plocation = value; }
+    }
 
 
-        #endregion
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Create a new ForceItem.
-        /// </summary>
-        public ForceItem()
-        {
-            mass = 1.0f;
-            force = new float[] { 0.0F, 0.0F };
-            velocity = new float[] { 0.0F, 0.0F };
-            location = new float[] { 0.0F, 0.0F };
-            plocation = new float[] { 0.0F, 0.0F };
-            k = new float[4, 2];
-            l = new float[4, 2];
-        }
+    #region Constructor
+    /// <summary>
+    /// Create a new ForceItem.
+    /// </summary>
+    public ForceItem() {
+      mass = 1.0f;
+      force = new float[] { 0.0F, 0.0F };
+      velocity = new float[] { 0.0F, 0.0F };
+      location = new float[] { 0.0F, 0.0F };
+      plocation = new float[] { 0.0F, 0.0F };
+      k = new float[4, 2];
+      l = new float[4, 2];
+    }
 
-        #endregion
+    #endregion
 
 
 
-        #region Methods
-        /// <summary>
-        /// Checks a ForceItem to make sure its values are all valid numbers(i.e., not NaNs).
-        /// </summary>
-        /// <param name="item">The item to check.</param>
-        /// <returns>
-        /// 	<c>true</c> if the specified item is valid; otherwise, <c>false</c>.
-        /// </returns>
-        public static bool isValid(ForceItem item)
-        {
-            return
-              !(float.IsNaN(item.location[0]) || float.IsNaN(item.location[1]) ||
-                 float.IsNaN(item.plocation[0]) || float.IsNaN(item.plocation[1]) ||
-                 float.IsNaN(item.velocity[0]) || float.IsNaN(item.velocity[1]) ||
-                 float.IsNaN(item.force[0]) || float.IsNaN(item.force[1]));
-        }
+    #region Methods
+    /// <summary>
+    /// Checks a ForceItem to make sure its values are all valid numbers(i.e., not NaNs).
+    /// </summary>
+    /// <param name="item">The item to check.</param>
+    /// <returns>
+    /// 	<c>true</c> if the specified item is valid; otherwise, <c>false</c>.
+    /// </returns>
+    public static bool isValid(ForceItem item) {
+      return
+        !(float.IsNaN(item.location[0]) || float.IsNaN(item.location[1]) ||
+           float.IsNaN(item.plocation[0]) || float.IsNaN(item.plocation[1]) ||
+           float.IsNaN(item.velocity[0]) || float.IsNaN(item.velocity[1]) ||
+           float.IsNaN(item.force[0]) || float.IsNaN(item.force[1]));
+    }
 
 
-        /// <summary>
-        /// Creates a new object that is a copy of the current instance.
-        /// </summary>
-        /// <returns>
-        /// A new object that is a copy of this instance.
-        /// </returns>
-        public object Clone()
-        {
-            //ForceItem item = new ForceItem();
-            //item.mass = this.mass;
-            //Array.Copy(force, 0, item.force, 0, 2);
-            //Array.Copy(velocity, 0, item.velocity, 0, 2);
-            //Array.Copy(location, 0, item.location, 0, 2);
-            //Array.Copy(plocation, 0, item.plocation, 0, 2);
-            //for (int i = 0; i < k.Length; ++i)
-            //{
-            //    Array.Copy(k[i,], 0, item.k[i,], 0, 2);
-            //    Array.Copy(l[i], 0, item.l[i], 0, 2);
-            //    Array
-            //}
-            //return item;
-            throw new NotImplementedException("Do you really need this feature?");
-        }
-        #endregion
+    /// <summary>
+    /// Creates a new object that is a copy of the current instance.
+    /// </summary>
+    /// <returns>
+    /// A new object that is a copy of this instance.
+    /// </returns>
+    public object Clone() {
+      //ForceItem item = new ForceItem();
+      //item.mass = this.mass;
+      //Array.Copy(force, 0, item.force, 0, 2);
+      //Array.Copy(velocity, 0, item.velocity, 0, 2);
+      //Array.Copy(location, 0, item.location, 0, 2);
+      //Array.Copy(plocation, 0, item.plocation, 0, 2);
+      //for (int i = 0; i < k.Length; ++i)
+      //{
+      //    Array.Copy(k[i,], 0, item.k[i,], 0, 2);
+      //    Array.Copy(l[i], 0, item.l[i], 0, 2);
+      //    Array
+      //}
+      //return item;
+      throw new NotImplementedException("Do you really need this feature?");
     }
+    #endregion
+  }
 }
